## rmatrix 0.8.21

=== DESCRIPTION ===
Package: Matrix
Version: 0.8-21
Date: 2004-12-16
Title: A Matrix package for R
Author: Douglas Bates <bates@stat.wisc.edu>
Maintainer: Douglas Bates <bates@stat.wisc.edu>
Description: Classes and methods for numerical linear algebra
    using Lapack, LDL, and Metis.
Depends: R (>= 2.0.0), methods
Imports: graphics, stats, lattice, grid
SaveImage: no
LazyLoad: yes
LazyData: yes
License: GPL version 2 or later.
 This R package includes code from the LDL and Metis packages,
 which are covered by separate copyrights.  See the file Copyrights for
 details.
Packaged: Thu Dec 16 14:18:51 2004; bates

## rmatrix 0.95.5

=== DESCRIPTION ===
Package: Matrix
Version: 0.95-5
Date: 2005-03-31
Title: A Matrix package for R
Author: Douglas Bates <bates@stat.wisc.edu> and Martin Maechler <maechler@stat.math.ethz.ch>
Maintainer: Douglas Bates <bates@stat.wisc.edu>
Description: Classes and methods for numerical linear algebra
    using Lapack, LDL, and Metis.
Depends: R (>= 2.0.0), methods
Imports: graphics, stats, lattice, grid
LazyLoad: yes
LazyData: yes
License: GPL version 2 or later.
 This R package includes code from the LDL and Metis packages,
 which are covered by separate copyrights.  See the file Copyrights for
 details.
Packaged: Thu Mar 31 14:52:55 2005; bates

## rmatrix 0.95.10

=== DESCRIPTION ===
Package: Matrix
Version: 0.95-10
Date: 2005-05-19
Title: A Matrix package for R
Author: Douglas Bates <bates@stat.wisc.edu> and Martin Maechler <maechler@stat.math.ethz.ch>
Maintainer: Douglas Bates <bates@stat.wisc.edu>
Description: Classes and methods for numerical linear algebra
    using Lapack, LDL, and Metis.
Depends: R (>= 2.1.0), methods
Imports: graphics, lattice, grid
LazyLoad: yes
LazyData: yes
License: GPL version 2 or later.
 This R package includes code from the LDL and Metis packages,
 which are covered by separate copyrights.  See the file Copyrights for
 details.
Packaged: Fri May 20 09:02:17 2005; bates

## rmatrix 0.9975

=== DESCRIPTION ===
Package: Matrix
Version: 0.9975-6
Date: 2006-11-07
Title: A Matrix package for R
Author: Douglas Bates <bates@stat.wisc.edu> and Martin Maechler <maechler@stat.math.ethz.ch>
Maintainer: Douglas Bates <bates@stat.wisc.edu>
Description: Classes and methods for dense and sparse matrices and
    operations on them using Lapack, CSparse and CHOLMOD
Depends: R (>= 2.4.0), stats, methods, utils, lattice
Imports: graphics, lattice, grid, stats
Enhances: graph, SparseM
SystemRequirements: GNU make
LazyLoad: yes
LazyData: no
LazyDataNote: no longer available, since we use data/*.R *and* our classes
License: GPL version 2 or later.
 This R package includes libraries CHOLMOD, AMD, COLAMD and CSparse
 from the University of Florida sparse matrix library maintained by Tim
 Davis.  All sections of that code are covered by the GPL or LGPL
 licenses.  See the directory doc/UFsparse for details.
Packaged: Tue Nov  7 14:34:18 2006; maechler

=== src/Makefile ===
#
pkg = Matrix

## we use the BLAS and the LAPACK library:
PKG_LIBS = $(LAPACK_LIBS) $(BLAS_LIBS) $(FLIBS)
include SOURCES_C.mkf

## zpotrf.f and zpotf2.f are part of LAPACK, but not of R's LAPACK sources
ifeq (, $(findstring -lRlapack, $(LAPACK_LIBS)))
SOURCES_LAPACK =
else
SOURCES_LAPACK = zpotf2.f zpotrf.f
endif

SOURCES_F = $(SOURCES_LAPACK)

OBJECTS = $(SOURCES_C:.c=.o) $(SOURCES_F:.f=.o)
SHLIB = $(pkg)$(SHLIB_EXT)
SUBDIRS = CHOLMOD COLAMD AMD
SUBLIBS = $(SUBDIRS:=.a)
SUBSTAMP = $(SUBDIRS:=.stamp)

$(SHLIB): $(OBJECTS) $(SUBLIBS)
	$(SHLIB_LINK) -o $@ $(OBJECTS) $(SUBLIBS) $(ALL_LIBS)

all: $(SHLIB)

mostlyclean: clean

$(SUBLIBS): $(SUBSTAMP)
	@for d in $(SUBDIRS); do \
	  (cd $${d} && MkInclude=$(R_HOME)/etc${R_ARCH}/Makeconf $(MAKE) lib) || exit 1; \
	  touch $${d}.stamp; \
	done

$(SUBSTAMP):
	touch $(SUBSTAMP)

clean:
	@-rm -rf .libs _libs
	@-rm -f *.o *.so *.a $(SUBSTAMP)
	@for d in $(SUBDIRS); do \
	  (cd $${d} && $(MAKE) clean) || exit 1; \
	  rm -f $${d}.stamp; \
	done

include DEPS.mkf

=== src/AMD/Makefile ===
# compile just the C-callable library
lib:
	( cd Source ; $(MAKE) lib )

# remove object files, but keep the compiled programs and library archives
clean:
	( cd Source ; $(MAKE) clean )

## rmatrix 0.999375

=== DESCRIPTION ===
Package: Matrix
Version: 0.999375-40
Date: 2010-06-02
Priority: recommended
Title: Sparse and Dense Matrix Classes and Methods
Author: Douglas Bates <bates@stat.wisc.edu> and Martin Maechler
        <maechler@stat.math.ethz.ch>
Maintainer: Doug and Martin <Matrix-authors@R-project.org>
Description: Classes and methods for dense and sparse matrices and
        operations on them using Lapack and SuiteSparse.
Depends: R (>= 2.9.1), stats, methods, utils, lattice
Imports: graphics, lattice, grid, stats
Enhances: graph, SparseM
LazyLoad: yes
LazyData: no
LazyDataNote: no longer available, since we use data/*.R *and* our
        classes
Encoding: UTF-8
License: GPL (>= 2)
LicenseDetails: The Matrix package includes libraries AMD, CHOLMOD,
        COLAMD, CSparse and SPQR from the SuiteSparse collection of Tim
        Davis.  All sections of that code are covered by the GPL or
        LGPL licenses.  See the directory doc/UFsparse for details.
URL: http://Matrix.R-forge.R-project.org/
Packaged: 2010-06-03 16:19:40 UTC; maechler
Repository: CRAN
Date/Publication: 2010-06-04 18:17:10

## rmatrix 1.0

=== DESCRIPTION ===
Package: Matrix
Version: 1.0-6
Date: 2012-03-16
Priority: recommended
Title: Sparse and Dense Matrix Classes and Methods
Author: Douglas Bates <bates@stat.wisc.edu> and Martin Maechler
        <maechler@stat.math.ethz.ch>
Maintainer: Doug and Martin <Matrix-authors@R-project.org>
Description: Classes and methods for dense and sparse matrices and
        operations on them using Lapack and SuiteSparse.
Depends: R (>= 2.15.0), stats, methods, utils, lattice
Imports: graphics, grid
Suggests: expm, MASS
Enhances: MatrixModels, graph, SparseM (>= 0.87), sfsmisc
Encoding: UTF-8
LazyData: no
LazyDataNote: no longer available, since we use data/*.R *and* our
        classes
BuildResaveData: no
License: GPL (>= 2)
LicenseDetails: The Matrix package includes libraries AMD, CHOLMOD,
        COLAMD, CSparse and SPQR from the SuiteSparse collection of Tim
        Davis.  All sections of that code are covered by the GPL or
        LGPL licenses.  See the directory doc/UFsparse for details.
URL: http://Matrix.R-forge.R-project.org/
Packaged: 2012-03-16 07:44:09 UTC; maechler
Repository: CRAN
Date/Publication: 2012-03-30 10:15:28

## rmatrix 1.1

=== src/SuiteSparse_config/Makefile ===
#-------------------------------------------------------------------------------
# SuiteSparse_config Makefile
#-------------------------------------------------------------------------------

VERSION = 4.2.1

PKG_CPPFLAGS = -DNTIMER
include $(MkInclude)

LIB = ../SuiteSparse_config.a

library: $(LIB)

$(LIB): SuiteSparse_config.o
	$(AR) -rucs $(LIB) SuiteSparse_config.o

mostlyclean: clean

clean:
	@-rm -rf .libs _libs $(LIB)
	@-rm -f *.o

=== src/CHOLMOD/Lib/Makefile ===
#===============================================================================
# CHOLOMD/Lib/Makefile: for compiling the CHOLMOD library
#===============================================================================
include ${MkInclude}

default: lib

PKG_CPPFLAGS = -I../../AMD/Include -I../../AMD/Source \
        -I../../COLAMD/Include \
	-I../Include -I../../SuiteSparse_config -DNPARTITION -DNPRINT
#	 -I../../CCOLAMD \
#        -I../../CAMD/Include -I../../CAMD/Source \
#	-I../../Metis \

#-------------------------------------------------------------------------------
# ../Include/ directory contains all include files:
#-------------------------------------------------------------------------------

INC =   ../Include/cholmod.h \
	../Include/cholmod_blas.h \
	../Include/cholmod_check.h \
	../Include/cholmod_cholesky.h \
	../Include/cholmod_complexity.h \
	../Include/cholmod_config.h \
	../Include/cholmod_core.h \
	../Include/cholmod_internal.h \
	../Include/cholmod_matrixops.h \
	../Include/cholmod_modify.h \
	../Include/cholmod_partition.h \
	../Include/cholmod_supernodal.h \
	../Include/cholmod_template.h

#-------------------------------------------------------------------------------
# The 7 CHOLMOD library modules (int, double)
#-------------------------------------------------------------------------------

CORE = cholmod_aat.o cholmod_add.o cholmod_band.o \
	cholmod_change_factor.o cholmod_common.o cholmod_complex.o \
	cholmod_copy.o cholmod_dense.o cholmod_error.o cholmod_factor.o \
	cholmod_memory.o cholmod_sparse.o \
	cholmod_transpose.o cholmod_triplet.o \
        cholmod_version.o

CHECK = cholmod_check.o cholmod_read.o cholmod_write.o

CHOLESKY = cholmod_amd.o cholmod_analyze.o cholmod_colamd.o \
	cholmod_etree.o cholmod_factorize.o cholmod_postorder.o \
	cholmod_rcond.o cholmod_resymbol.o cholmod_rowcolcounts.o \
	cholmod_rowfac.o cholmod_solve.o cholmod_spsolve.o

MATRIXOPS = cholmod_drop.o cholmod_horzcat.o cholmod_norm.o \
	cholmod_scale.o cholmod_sdmult.o cholmod_ssmult.o \
	cholmod_submatrix.o cholmod_vertcat.o cholmod_symmetry.o

PARTITION = cholmod_ccolamd.o cholmod_csymamd.o \
	cholmod_metis.o cholmod_nesdis.o cholmod_camd.o

MODIFY = cholmod_rowadd.o cholmod_rowdel.o cholmod_updown.o

SUPERNODAL = cholmod_super_numeric.o cholmod_super_solve.o \
	cholmod_super_symbolic.o

DI = $(CORE) $(CHECK) $(CHOLESKY) $(MATRIXOPS) $(MODIFY) $(SUPERNODAL) # $(PARTITION)

#-------------------------------------------------------------------------------
# CHOLMOD library modules (long, double)
#-------------------------------------------------------------------------------

LCORE = cholmod_l_aat.o cholmod_l_add.o cholmod_l_band.o \
	cholmod_l_change_factor.o cholmod_l_common.o cholmod_l_complex.o \
	cholmod_l_copy.o cholmod_l_dense.o cholmod_l_error.o \
	cholmod_l_factor.o cholmod_l_memory.o \
	cholmod_l_sparse.o cholmod_l_transpose.o cholmod_l_triplet.o \
        cholmod_l_version.o

LCHECK = cholmod_l_check.o cholmod_l_read.o cholmod_l_write.o

LCHOLESKY = cholmod_l_amd.o cholmod_l_analyze.o cholmod_l_colamd.o \
	cholmod_l_etree.o cholmod_l_factorize.o cholmod_l_postorder.o \
	cholmod_l_rcond.o cholmod_l_resymbol.o cholmod_l_rowcolcounts.o \
	cholmod_l_rowfac.o cholmod_l_solve.o cholmod_l_spsolve.o

LMATRIXOPS = cholmod_l_drop.o cholmod_l_horzcat.o cholmod_l_norm.o \
	cholmod_l_scale.o cholmod_l_sdmult.o cholmod_l_ssmult.o \
	cholmod_l_submatrix.o cholmod_l_vertcat.o cholmod_l_symmetry.o

LPARTITION = cholmod_l_ccolamd.o cholmod_l_csymamd.o \
	cholmod_l_metis.o cholmod_l_nesdis.o cholmod_l_camd.o

LMODIFY = cholmod_l_rowadd.o cholmod_l_rowdel.o cholmod_l_updown.o

LSUPERNODAL = cholmod_l_super_numeric.o cholmod_l_super_solve.o \
	cholmod_l_super_symbolic.o

DL = $(LCORE) $(LCHECK) $(LCHOLESKY) $(LMATRIXOPS) $(LMODIFY) $(LSUPERNODAL) #$(LPARTITION)

#-------------------------------------------------------------------------------

OBJS = $(DI) $(DL)
#              ^^  FIXME?  MM thinks we should be able to only use $(DI)
#  well, Doug thought so, too .. but it's currently wrong:
# --> ../../chm_common.c  has a few  'cholmod_l_' left

LIB = ../../CHOLMOD.a

C = $(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS)

lib: $(LIB)

$(LIB): $(OBJS)
	$(AR) -rucs $(LIB) $(OBJS)

mostlyclean: clean

clean:
	@-rm -rf .libs _libs $(LIB)
	@-rm -f $(OBJS)

$(OBJ): $(INC)

#-------------------------------------------------------------------------------
# Check Module:
#-------------------------------------------------------------------------------

cholmod_check.o: ../Check/cholmod_check.c
	$(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS) -c ../Check/cholmod_check.c -o $@
cholmod_read.o: ../Check/cholmod_read.c
	$(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS) -c ../Check/cholmod_read.c -o $@
cholmod_write.o: ../Check/cholmod_write.c
	$(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS) -c ../Check/cholmod_write.c -o $@

#-------------------------------------------------------------------------------

cholmod_l_check.o: ../Check/cholmod_check.c
	$(C) -DDLONG -c $(I) ../Check/cholmod_check.c -o $@

cholmod_l_read.o: ../Check/cholmod_read.c
	$(C) -DDLONG -c $(I) ../Check/cholmod_read.c -o $@

cholmod_l_write.o: ../Check/cholmod_write.c
	$(C) -DDLONG -c $(I) ../Check/cholmod_write.c -o $@


#-------------------------------------------------------------------------------
# Core Module:
#-------------------------------------------------------------------------------

cholmod_common.o: ../Core/cholmod_common.c
	$(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS) -c ../Core/cholmod_common.c -o $@
cholmod_dense.o: ../Core/cholmod_dense.c ../Core/t_cholmod_dense.c
	$(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS) -c ../Core/cholmod_dense.c -o $@
cholmod_factor.o: ../Core/cholmod_factor.c
	$(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS) -c ../Core/cholmod_factor.c -o $@
cholmod_change_factor.o: ../Core/cholmod_change_factor.c \
	../Core/t_cholmod_change_factor.c
	$(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS) -c ../Core/cholmod_change_factor.c -o $@
cholmod_memory.o: ../Core/cholmod_memory.c
	$(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS) -c ../Core/cholmod_memory.c -o $@
cholmod_sparse.o: ../Core/cholmod_sparse.c
	$(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS) -c ../Core/cholmod_sparse.c -o $@
cholmod_complex.o: ../Core/cholmod_complex.c
	$(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS) -c ../Core/cholmod_complex.c -o $@
cholmod_transpose.o: ../Core/cholmod_transpose.c ../Core/t_cholmod_transpose.c
	$(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS) -c ../Core/cholmod_transpose.c -o $@
cholmod_band.o: ../Core/cholmod_band.c
	$(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS) -c ../Core/cholmod_band.c -o $@
cholmod_copy.o: ../Core/cholmod_copy.c
	$(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS) -c ../Core/cholmod_copy.c -o $@
cholmod_triplet.o: ../Core/cholmod_triplet.c ../Core/t_cholmod_triplet.c
	$(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS) -c ../Core/cholmod_triplet.c -o $@
cholmod_error.o: ../Core/cholmod_error.c
	$(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS) -c ../Core/cholmod_error.c -o $@
cholmod_aat.o: ../Core/cholmod_aat.c
	$(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS) -c ../Core/cholmod_aat.c -o $@
cholmod_add.o: ../Core/cholmod_add.c
	$(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS) -c ../Core/cholmod_add.c -o $@

cholmod_version.o: ../Core/cholmod_version.c
	$(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS) -c ../Core/cholmod_version.c -o $@

#-------------------------------------------------------------------------------

cholmod_l_common.o: ../Core/cholmod_common.c
	$(C) -DDLONG -c $(I) ../Core/cholmod_common.c -o $@

cholmod_l_dense.o: ../Core/cholmod_dense.c ../Core/t_cholmod_dense.c
	$(C) -DDLONG -c $(I) ../Core/cholmod_dense.c -o $@

cholmod_l_factor.o: ../Core/cholmod_factor.c
	$(C) -DDLONG -c $(I) ../Core/cholmod_factor.c -o $@

cholmod_l_change_factor.o: ../Core/cholmod_change_factor.c \
	../Core/t_cholmod_change_factor.c
	$(C) -DDLONG -c $(I) ../Core/cholmod_change_factor.c -o $@

cholmod_l_memory.o: ../Core/cholmod_memory.c
	$(C) -DDLONG -c $(I) ../Core/cholmod_memory.c -o $@

cholmod_l_sparse.o: ../Core/cholmod_sparse.c
	$(C) -DDLONG -c $(I) ../Core/cholmod_sparse.c -o $@

cholmod_l_complex.o: ../Core/cholmod_complex.c
	$(C) -DDLONG -c $(I) ../Core/cholmod_complex.c -o $@

cholmod_l_transpose.o: ../Core/cholmod_transpose.c ../Core/t_cholmod_transpose.c
	$(C) -DDLONG -c $(I) ../Core/cholmod_transpose.c -o $@

cholmod_l_band.o: ../Core/cholmod_band.c
	$(C) -DDLONG -c $(I) ../Core/cholmod_band.c -o $@

cholmod_l_copy.o: ../Core/cholmod_copy.c
	$(C) -DDLONG -c $(I) ../Core/cholmod_copy.c -o $@

cholmod_l_triplet.o: ../Core/cholmod_triplet.c ../Core/t_cholmod_triplet.c
	$(C) -DDLONG -c $(I) ../Core/cholmod_triplet.c -o $@

cholmod_l_error.o: ../Core/cholmod_error.c
	$(C) -DDLONG -c $(I) ../Core/cholmod_error.c -o $@

cholmod_l_aat.o: ../Core/cholmod_aat.c
	$(C) -DDLONG -c $(I) ../Core/cholmod_aat.c -o $@

cholmod_l_add.o: ../Core/cholmod_add.c
	$(C) -DDLONG -c $(I) ../Core/cholmod_add.c -o $@

cholmod_l_version.o: ../Core/cholmod_version.c
	$(C) -DDLONG -c $(I) ../Core/cholmod_version.c -o $@


#-------------------------------------------------------------------------------
# Cholesky Module:
#-------------------------------------------------------------------------------

cholmod_amd.o: ../Cholesky/cholmod_amd.c
	$(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS) -c ../Cholesky/cholmod_amd.c -o $@
cholmod_analyze.o: ../Cholesky/cholmod_analyze.c
	$(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS) -c ../Cholesky/cholmod_analyze.c -o $@
cholmod_colamd.o: ../Cholesky/cholmod_colamd.c
	$(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS) -c ../Cholesky/cholmod_colamd.c -o $@
cholmod_etree.o: ../Cholesky/cholmod_etree.c
	$(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS) -c ../Cholesky/cholmod_etree.c -o $@
cholmod_factorize.o: ../Cholesky/cholmod_factorize.c
	$(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS) -c ../Cholesky/cholmod_factorize.c -o $@
cholmod_postorder.o: ../Cholesky/cholmod_postorder.c
	$(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS) -c ../Cholesky/cholmod_postorder.c -o $@
cholmod_rcond.o: ../Cholesky/cholmod_rcond.c
	$(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS) -c ../Cholesky/cholmod_rcond.c -o $@
cholmod_resymbol.o: ../Cholesky/cholmod_resymbol.c
	$(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS) -c ../Cholesky/cholmod_resymbol.c -o $@
cholmod_rowcolcounts.o: ../Cholesky/cholmod_rowcolcounts.c
	$(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS) -c ../Cholesky/cholmod_rowcolcounts.c -o $@
cholmod_solve.o: ../Cholesky/cholmod_solve.c ../Cholesky/t_cholmod_lsolve.c \
	../Cholesky/t_cholmod_ltsolve.c ../Cholesky/t_cholmod_solve.c
	$(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS) -c ../Cholesky/cholmod_solve.c -o $@
cholmod_spsolve.o: ../Cholesky/cholmod_spsolve.c
	$(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS) -c ../Cholesky/cholmod_spsolve.c -o $@
cholmod_rowfac.o: ../Cholesky/cholmod_rowfac.c ../Cholesky/t_cholmod_rowfac.c
	$(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS) -c ../Cholesky/cholmod_rowfac.c -o $@

#-------------------------------------------------------------------------------

cholmod_l_amd.o: ../Cholesky/cholmod_amd.c
	$(C) -DDLONG -c $(I) ../Cholesky/cholmod_amd.c -o $@

cholmod_l_analyze.o: ../Cholesky/cholmod_analyze.c
	$(C) -DDLONG -c $(I) ../Cholesky/cholmod_analyze.c -o $@

cholmod_l_colamd.o: ../Cholesky/cholmod_colamd.c
	$(C) -DDLONG -c $(I) ../Cholesky/cholmod_colamd.c -o $@

cholmod_l_etree.o: ../Cholesky/cholmod_etree.c
	$(C) -DDLONG -c $(I) ../Cholesky/cholmod_etree.c -o $@

cholmod_l_factorize.o: ../Cholesky/cholmod_factorize.c
	$(C) -DDLONG -c $(I) ../Cholesky/cholmod_factorize.c -o $@

cholmod_l_postorder.o: ../Cholesky/cholmod_postorder.c
	$(C) -DDLONG -c $(I) ../Cholesky/cholmod_postorder.c -o $@

cholmod_l_rcond.o: ../Cholesky/cholmod_rcond.c
	$(C) -DDLONG -c $(I) ../Cholesky/cholmod_rcond.c -o $@

cholmod_l_resymbol.o: ../Cholesky/cholmod_resymbol.c
	$(C) -DDLONG -c $(I) ../Cholesky/cholmod_resymbol.c -o $@

cholmod_l_rowcolcounts.o: ../Cholesky/cholmod_rowcolcounts.c
	$(C) -DDLONG -c $(I) ../Cholesky/cholmod_rowcolcounts.c -o $@

cholmod_l_solve.o: ../Cholesky/cholmod_solve.c ../Cholesky/t_cholmod_lsolve.c \
	../Cholesky/t_cholmod_ltsolve.c ../Cholesky/t_cholmod_solve.c

## rmatrix 1.2

=== DESCRIPTION ===
Package: Matrix
Version: 1.2-18
Date: 2019-11-25
Priority: recommended
Title: Sparse and Dense Matrix Classes and Methods
Contact: Doug and Martin <Matrix-authors@R-project.org>
Maintainer: Martin Maechler <mmaechler+Matrix@gmail.com>
Authors@R: c(person("Douglas","Bates", role="aut")
 , person("Martin","Maechler", role = c("aut","cre"), email="mmaechler+Matrix@gmail.com",
          comment = c(ORCID = "0000-0002-8685-9910"))
 , person("Timothy A.", "Davis", role="ctb",
           comment = c("SuiteSparse and 'cs' C libraries, notably CHOLMOD, AMD;
		       collaborators listed in
			dir(pattern = '^[A-Z]+[.]txt$', full.names=TRUE,
			    system.file('doc', 'SuiteSparse', package='Matrix'))"))
 , person("Jens", "Oehlschlägel", role="ctb", comment="initial nearPD()")
 , person("Jason", "Riedy", role="ctb",
          comment = c("condest() and onenormest() for octave",
 	  	      "Copyright: Regents of the University of California"))
 , person("R Core Team", role = "ctb", comment="base R matrix implementation")
 )
Description: A rich hierarchy of matrix classes, including triangular,
   symmetric, and diagonal matrices, both dense and sparse and with
   pattern, logical and numeric entries.   Numerous methods for and
   operations on these matrices, using 'LAPACK' and 'SuiteSparse' libraries.
Depends: R (>= 3.2.0)
Imports: methods, graphics, grid, stats, utils, lattice
Suggests: expm, MASS
Enhances: MatrixModels, graph, SparseM, sfsmisc
Encoding: UTF-8
LazyData: no
LazyDataNote: not possible, since we use data/*.R *and* our classes
BuildResaveData: no
License: GPL (>= 2) | file LICENCE
URL: http://Matrix.R-forge.R-project.org/
BugReports: https://r-forge.r-project.org/tracker/?group_id=61
NeedsCompilation: yes
Packaged: 2019-11-26 17:17:19 UTC; maechler
Author: Douglas Bates [aut],
  Martin Maechler [aut, cre] (<https://orcid.org/0000-0002-8685-9910>),
  Timothy A. Davis [ctb] (SuiteSparse and 'cs' C libraries, notably
    CHOLMOD, AMD; collaborators listed in dir(pattern =
    '^[A-Z]+[.]txt$', full.names=TRUE, system.file('doc',
    'SuiteSparse', package='Matrix'))),
  Jens Oehlschlägel [ctb] (initial nearPD()),
  Jason Riedy [ctb] (condest() and onenormest() for octave, Copyright:
    Regents of the University of California),
  R Core Team [ctb] (base R matrix implementation)
Repository: CRAN
Date/Publication: 2019-11-27 15:20:02 UTC

=== src/CHOLMOD/Makefile ===
#-------------------------------------------------------------------------------
# CHOLMOD Makefile
#-------------------------------------------------------------------------------

.PHONY : default all library purge clean distclean ccode

default: all

# Compile the C-callable libraries and the Demo programs.
all:
	( cd Lib ; $(MAKE) )

# Compile the C-callable libraries only.
library:
	( cd Lib ; $(MAKE) )

# Remove all files not in the original distribution
purge:
	( cd Lib ; $(MAKE) purge )

# Remove all files not in the original distribution, except keep the 
# compiled libraries.
clean:
	( cd Lib ; $(MAKE) clean )

distclean: purge

ccode: all

=== src/AMD/Source/Makefile ===
PKG_CPPFLAGS = -I../Include -I../../SuiteSparse_config

LIB = ../../AMD.a

lib: $(LIB)

include make_o.mk

$(LIB): $(OBJS)
	$(AR) -rucs $(LIB) $(OBJS)

mostlyclean: clean

clean:
	@-rm -rf .libs _libs $(LIB)
	@-rm -f *.o

=== src/COLAMD/Source/Makefile ===
PKG_CPPFLAGS = -I../Include -I../../SuiteSparse_config

LIB = ../../COLAMD.a

lib: $(LIB)

colamd_l.o: colamd.c
	$(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS) -I../Include -DDLONG -c colamd.c -o $@

$(LIB): colamd_global.o colamd.o colamd_l.o
	$(AR) -rucs $(LIB) colamd_global.o colamd.o colamd_l.o

mostlyclean: clean

clean:
	@-rm -rf .libs _libs $(LIB)
	@-rm -f *.o

## rmatrix 1.2-13

=== debian/changelog ===
rmatrix (1.2-13-1xenial0) xenial; urgency=medium

  * Compilation for Ubuntu 16.04.4 LTS

 -- Michael Rutter <marutter@gmail.com>  Wed, 04 Apr 2018 00:33:09 +0000

rmatrix (1.2-13-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch from cdbs to dh-r
  * debian/rules: Idem

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 02 Apr 2018 08:06:03 -0500

rmatrix (1.2-12-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Set Build-Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 16 Nov 2017 20:32:26 -0600

rmatrix (1.2-11-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Set Build-Depends: to current R version 
  * debian/compat: Set level to 9

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 17 Aug 2017 20:38:32 -0500

rmatrix (1.2-10-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Add Depends: on ${misc:Depends}

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 28 Apr 2017 20:35:08 -0500

rmatrix (1.2-8-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 31 Jan 2017 22:11:25 -0600

rmatrix (1.2-7.1-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 01 Sep 2016 08:58:31 -0500

rmatrix (1.2-7-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Standards-Version: to current version 
  * debian/control: Set Build-Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 28 Aug 2016 18:35:31 -0500

rmatrix (1.2-6-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 03 May 2016 13:33:48 -0500

rmatrix (1.2-5-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 17 Apr 2016 09:44:11 -0500

rmatrix (1.2-4-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 01 Mar 2016 06:21:32 -0600

rmatrix (1.2-3-1) unstable; urgency=low

  * New upstream release
 
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 28 Nov 2015 08:43:42 -0600

rmatrix (1.2-2-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 08 Jul 2015 06:39:30 -0500

rmatrix (1.2-1-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 01 Jun 2015 21:44:01 -0500

rmatrix (1.2-0-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 04 Apr 2015 13:51:14 -0500

rmatrix (1.1-5-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 18 Jan 2015 14:26:43 -0600

rmatrix (1.1-4-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 15 Jun 2014 15:42:27 -0500

rmatrix (1.1-3-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 31 Mar 2014 06:54:36 -0500

rmatrix (1.1-2-2-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 04 Mar 2014 09:00:43 -0600

rmatrix (1.1-2-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 28 Jan 2014 19:56:35 -0600

rmatrix (1.1-1.1-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 30 Dec 2013 20:23:22 -0600

rmatrix (1.1-1-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 29 Dec 2013 09:52:08 -0600

rmatrix (1.1-0-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

  * debian/control: Set Standards-Version: to current version 
  
 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 28 Oct 2013 16:01:34 -0500

rmatrix (1.0-14-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 13 Sep 2013 07:29:12 -0500

rmatrix (1.0-13-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 11 Sep 2013 06:40:32 -0500

rmatrix (1.0-12-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 26 Mar 2013 14:33:54 -0500

rmatrix (1.0-11-2) unstable; urgency=low

  * debian/control: Set Build-Depends: to current R version 
  
  * (Re-)building with R 3.0.0 (beta)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 26 Mar 2013 06:26:50 -0500

rmatrix (1.0-11-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 08 Feb 2013 13:42:19 -0600

rmatrix (1.0-10-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 23 Oct 2012 06:40:45 -0500

rmatrix (1.0-9-1) unstable; urgency=low

  * New upstream release



=== debian/control ===
Source: rmatrix
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper (>= 7.0.0), dh-r, r-base-dev (>= 3.4.4), r-cran-lattice (>= 0.12-11.1)
Standards-Version: 4.1.3

Package: r-cran-matrix
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${R:Depends}, r-cran-lattice (>= 0.12-11.1)
Description: GNU R package of classes for dense and sparse matrices
 This CRAN package provides S4 classes and methods for numerical
 linear algebra using dense or sparse matrices.  The sparse matrix
 implementation uses code from the LDL sparse matrix package and 
 code from the Metis package of partitioning algorithms.

## rmatrix 1.2-14

=== debian/changelog ===
rmatrix (1.2-14-1xenial0) xenial; urgency=medium

  * Compilation for Ubuntu 16.04.4 LTS

 -- Michael Rutter <marutter@gmail.com>  Wed, 25 Apr 2018 16:23:50 +0000

rmatrix (1.2-14-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Standards-Version: to current version 
  * debian/control: Add Vcs-Browser: and Vcs-Git:

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 09 Apr 2018 13:07:56 -0500

rmatrix (1.2-13-2) unstable; urgency=medium

  * Rebuilding under updated dh-r package to correct installation
    directory for 'Priority: recommended'	(Closes: #894887)

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 05 Apr 2018 07:06:03 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,10 @@
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Build-Depends: debhelper (>= 7.0.0), dh-r, r-base-dev (>= 3.4.4), r-cran-lattice (>= 0.12-11.1)
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/edd/r-cran-matrix
+Vcs-Git: https://salsa.debian.org/edd/r-cran-matrix.git
+Homepage: https://cran.r-project.org/package=Matrix
 
 Package: r-cran-matrix
 Architecture: any

## rmatrix 1.2-15

=== debian/changelog ===
rmatrix (1.2-15-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 07 Nov 2018 20:23:29 -0600

rmatrix (1.2-14-1.1) unstable; urgency=medium

  * (Inofficial) Rebuild for R 3.5.0

  * Manual override for ${R:Depends} while dh-r is looked at

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 28 Apr 2018 14:49:04 -0500

=== debian/control ===
Source: rmatrix
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper (>= 7.0.0), dh-r, r-base-dev (>= 3.5.1), r-cran-lattice (>= 0.12-11.1)
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/edd/r-cran-matrix
Vcs-Git: https://salsa.debian.org/edd/r-cran-matrix.git
Homepage: https://cran.r-project.org/package=Matrix

Package: r-cran-matrix
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${R:Depends}, r-cran-lattice
Description: GNU R package of classes for dense and sparse matrices
 This CRAN package provides S4 classes and methods for numerical
 linear algebra using dense or sparse matrices.  The sparse matrix
 implementation uses code from the LDL sparse matrix package and 
 code from the Metis package of partitioning algorithms.

## rmatrix 1.2-16

=== debian/changelog ===
rmatrix (1.2-16-1xenial0) xenial; urgency=medium

  * Compilation for Ubuntu 16.04.5 LTS

 -- Michael Rutter <marutter@gmail.com>  Mon, 11 Mar 2019 02:08:46 +0000

rmatrix (1.2-16-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 09 Mar 2019 07:35:33 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 7.0.0), dh-r, r-base-dev (>= 3.5.1), r-cran-lattice (>= 0.12-11.1)
-Standards-Version: 4.2.1
+Build-Depends: debhelper (>= 7.0.0), dh-r, r-base-dev (>= 3.5.2), r-cran-lattice (>= 0.12-11.1)
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-matrix
 Vcs-Git: https://salsa.debian.org/edd/r-cran-matrix.git
 Homepage: https://cran.r-project.org/package=Matrix

## rmatrix 1.2-17

=== debian/changelog ===
rmatrix (1.2-17-2) unstable; urgency=medium

  * Source-only upload
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 18 Aug 2019 07:39:22 -0500

rmatrix (1.2-17-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 24 Mar 2019 12:43:44 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 7.0.0), dh-r, r-base-dev (>= 3.5.2), r-cran-lattice (>= 0.12-11.1)
-Standards-Version: 4.3.0
+Build-Depends: debhelper (>= 7.0.0), dh-r, r-base-dev (>= 3.6.1), r-cran-lattice (>= 0.12-11.1)
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-matrix
 Vcs-Git: https://salsa.debian.org/edd/r-cran-matrix.git
 Homepage: https://cran.r-project.org/package=Matrix

## rmatrix 1.2-18

=== debian/changelog ===
rmatrix (1.2-18-1xenial0) xenial; urgency=medium

  * Compilation for Ubuntu 16.04.6 LTS
  * debian/control, debian/rules, debian/compat: revert to a version of
    debheler < 10

 -- Michael Rutter <marutter@gmail.com>  Sat, 04 Apr 2020 20:47:41 +0000

rmatrix (1.2-18-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 03 Dec 2019 13:43:42 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 7.0.0), dh-r, r-base-dev (>= 3.6.1), r-cran-lattice (>= 0.12-11.1)
-Standards-Version: 4.4.0
+Build-Depends: debhelper, dh-r, r-base-dev (>= 3.6.1), r-cran-lattice (>= 0.12-11.1)
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-matrix
 Vcs-Git: https://salsa.debian.org/edd/r-cran-matrix.git
 Homepage: https://cran.r-project.org/package=Matrix

## rmatrix 1.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: Matrix
-Version: 1.2-18
-Date: 2019-11-25
+Version: 1.3-2
+Date: 2021-01-05
 Priority: recommended
 Title: Sparse and Dense Matrix Classes and Methods
 Contact: Doug and Martin <Matrix-authors@R-project.org>
@@ -23,10 +23,12 @@
    symmetric, and diagonal matrices, both dense and sparse and with
    pattern, logical and numeric entries.   Numerous methods for and
    operations on these matrices, using 'LAPACK' and 'SuiteSparse' libraries.
-Depends: R (>= 3.2.0)
+Depends: R (>= 3.6.0)
 Imports: methods, graphics, grid, stats, utils, lattice
 Suggests: expm, MASS
-Enhances: MatrixModels, graph, SparseM, sfsmisc
+Enhances: MatrixModels, graph, SparseM, sfsmisc, igraph, maptools, sp,
+        spdep
+EnhancesNote: line 2: for "Rd xrefs"
 Encoding: UTF-8
 LazyData: no
 LazyDataNote: not possible, since we use data/*.R *and* our classes
@@ -35,7 +37,7 @@
 URL: http://Matrix.R-forge.R-project.org/
 BugReports: https://r-forge.r-project.org/tracker/?group_id=61
 NeedsCompilation: yes
-Packaged: 2019-11-26 17:17:19 UTC; maechler
+Packaged: 2021-01-05 17:27:25 UTC; maechler
 Author: Douglas Bates [aut],
   Martin Maechler [aut, cre] (<https://orcid.org/0000-0002-8685-9910>),
   Timothy A. Davis [ctb] (SuiteSparse and 'cs' C libraries, notably
@@ -47,4 +49,4 @@
     Regents of the University of California),
   R Core Team [ctb] (base R matrix implementation)
 Repository: CRAN
-Date/Publication: 2019-11-27 15:20:02 UTC
+Date/Publication: 2021-01-06 17:40:19 UTC

=== src/CHOLMOD/Lib/Makefile ===
--- 
+++ 
@@ -1,7 +1,6 @@
 #===============================================================================
 # CHOLOMD/Lib/Makefile: for compiling the CHOLMOD library
 #===============================================================================
-include ${MkInclude}
 
 default: lib
 
@@ -100,6 +99,11 @@
 #              ^^  FIXME?  MM thinks we should be able to only use $(DI)
 #  well, Doug thought so, too .. but it's currently wrong:
 # --> ../../chm_common.c  has a few  'cholmod_l_' left
+#
+# Well, it's even reverse now (2016-02): With 64-bit being standard,
+# we want to have e.g. dense n x m matrices  where  n x m  >> max_int,
+# and this *only* works for the *_l_* routines, i.e., those compiled with
+# 'DLONG' defined.
 
 LIB = ../../CHOLMOD.a
 
@@ -284,7 +288,3 @@
 	$(C) -DDLONG -c $(I) ../Cholesky/cholmod_resymbol.c -o $@
 
 cholmod_l_rowcolcounts.o: ../Cholesky/cholmod_rowcolcounts.c
-	$(C) -DDLONG -c $(I) ../Cholesky/cholmod_rowcolcounts.c -o $@
-
-cholmod_l_solve.o: ../Cholesky/cholmod_solve.c ../Cholesky/t_cholmod_lsolve.c \
-	../Cholesky/t_cholmod_ltsolve.c ../Cholesky/t_cholmod_solve.c

## rmatrix 1.3-0

=== debian/changelog ===
rmatrix (1.3-0-1.1804.0) bionic; urgency=medium

  * Compilation for Ubuntu 18.04.5 LTS
  * Remove dependency for R 4.0.0 for backports in Ubuntu
  * debian/control, debian/rules, debian/compat: revert to a version of
    debheler <= 10

 -- Michael Rutter <marutter@gmail.com>  Wed, 23 Dec 2020 17:56:13 +0000

rmatrix (1.3-0-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 11)
  * debian/compat: Removed

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 22 Dec 2020 08:13:45 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper, dh-r, r-base-dev (>= 3.6.1), r-cran-lattice (>= 0.12-11.1)
-Standards-Version: 4.4.1
+Build-Depends: , dh-r, r-base-dev, r-cran-lattice (>= 0.12-11.1)
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-matrix
 Vcs-Git: https://salsa.debian.org/edd/r-cran-matrix.git
 Homepage: https://cran.r-project.org/package=Matrix

## rmatrix 1.3-2

=== debian/changelog ===
rmatrix (1.3-2-1) unstable; urgency=medium

  * New upstream release			(Closes: #979353)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 06 Jan 2021 13:17:49 -0600

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: , dh-r, r-base-dev, r-cran-lattice (>= 0.12-11.1)
+Build-Depends: debhelper-compat (= 11), dh-r, r-base-dev (>= 4.0.3), r-cran-lattice (>= 0.12-11.1)
 Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-matrix
 Vcs-Git: https://salsa.debian.org/edd/r-cran-matrix.git

## rmatrix 1.3-2+really1.3-2

=== debian/changelog ===
rmatrix (1.3-2+really1.3-2-0ubuntu1) hirsute; urgency=medium

  * Revert to 1.3-2 again, see #980809

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 25 Feb 2021 07:05:20 +0000

rmatrix (1.3-2+really1.2-18-0ubuntu1) hirsute; urgency=medium

  * Revert to 1.2-18 to avoid autopkgtest failure in
    r-cran-glmmtmb on s390x

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 22 Jan 2021 17:53:47 +0000

rmatrix (1.2-18-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 14:32:46 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: rmatrix
 Section: gnu-r
 Priority: optional
-Maintainer: Dirk Eddelbuettel <edd@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Build-Depends: debhelper-compat (= 11), dh-r, r-base-dev (>= 4.0.3), r-cran-lattice (>= 0.12-11.1)
 Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-matrix

## rmatrix 1.3-3

=== debian/changelog ===
rmatrix (1.3-3-1.2004.0) focal; urgency=medium

  * Compilation for Ubuntu 20.04.2 LTS

 -- Michael Rutter <marutter@gmail.com>  Thu, 06 May 2021 15:50:55 +0000

rmatrix (1.3-3-1) experimental; urgency=medium

  * New upstream release (to experimental during freeze)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 05 May 2021 15:18:23 -0500

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: rmatrix
 Section: gnu-r
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), dh-r, r-base-dev (>= 4.0.3), r-cran-lattice (>= 0.12-11.1)
+Maintainer: Dirk Eddelbuettel <edd@debian.org>
+Build-Depends: debhelper-compat (= 11), dh-r, r-base-dev (>= 4.0.4), r-cran-lattice (>= 0.12-11.1)
 Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-matrix
 Vcs-Git: https://salsa.debian.org/edd/r-cran-matrix.git

## rmatrix 1.3-4

=== debian/changelog ===
rmatrix (1.3-4-1.1604.0) xenial; urgency=medium

  * Compilation for Ubuntu 16.04.7 LTS
  * Remove dependency for R 4.0.0 for backports in Ubuntu
  * debian/control, debian/rules, debian/compat: revert to a version of
    debheler < 10
  * Added dependency on dh-r

 -- Michael Rutter <marutter@gmail.com>  Mon, 07 Jun 2021 16:40:42 +0000

rmatrix (1.3-4-1) experimental; urgency=medium

  * New upstream release (to experimental during freeze)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 05 Jun 2021 13:03:01 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), dh-r, r-base-dev (>= 4.0.4), r-cran-lattice (>= 0.12-11.1)
+Build-Depends: debhelper, dh-r, dh-r, r-base-dev, r-cran-lattice (>= 0.12-11.1)
 Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-matrix
 Vcs-Git: https://salsa.debian.org/edd/r-cran-matrix.git

## rmatrix 1.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: Matrix
-Version: 1.3-2
-Date: 2021-01-05
+Version: 1.4-0
+Date: 2021-12-08
 Priority: recommended
 Title: Sparse and Dense Matrix Classes and Methods
 Contact: Doug and Martin <Matrix-authors@R-project.org>
@@ -23,7 +23,7 @@
    symmetric, and diagonal matrices, both dense and sparse and with
    pattern, logical and numeric entries.   Numerous methods for and
    operations on these matrices, using 'LAPACK' and 'SuiteSparse' libraries.
-Depends: R (>= 3.6.0)
+Depends: R (>= 3.5.0)
 Imports: methods, graphics, grid, stats, utils, lattice
 Suggests: expm, MASS
 Enhances: MatrixModels, graph, SparseM, sfsmisc, igraph, maptools, sp,
@@ -34,10 +34,9 @@
 LazyDataNote: not possible, since we use data/*.R *and* our classes
 BuildResaveData: no
 License: GPL (>= 2) | file LICENCE
-URL: http://Matrix.R-forge.R-project.org/
-BugReports: https://r-forge.r-project.org/tracker/?group_id=61
-NeedsCompilation: yes
-Packaged: 2021-01-05 17:27:25 UTC; maechler
+URL: https://Matrix.R-forge.R-project.org/,
+        https://Matrix.R-forge.R-project.org/doxygen/
+BugReports: https://R-forge.R-project.org/tracker/?atid=294?group_id=61
 Author: Douglas Bates [aut],
   Martin Maechler [aut, cre] (<https://orcid.org/0000-0002-8685-9910>),
   Timothy A. Davis [ctb] (SuiteSparse and 'cs' C libraries, notably
@@ -49,4 +48,9 @@
     Regents of the University of California),
   R Core Team [ctb] (base R matrix implementation)
 Repository: CRAN
-Date/Publication: 2021-01-06 17:40:19 UTC
+Repository/R-Forge/Project: matrix
+Repository/R-Forge/Revision: 3419
+Repository/R-Forge/DateTimeStamp: 2021-12-08 17:23:53
+Date/Publication: 2021-12-08 21:10:02 UTC
+NeedsCompilation: yes
+Packaged: 2021-12-08 17:30:00 UTC; rforge

## rmatrix 1.4-0

=== debian/changelog ===
rmatrix (1.4-0-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 08 Dec 2021 16:09:23 -0600

rmatrix (1.3-4-2) unstable; urgency=medium

  * Simple rebuild for unstable following Debian 11 release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 16 Aug 2021 21:18:11 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper, dh-r, dh-r, r-base-dev, r-cran-lattice (>= 0.12-11.1)
-Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 11), dh-r, r-base-dev (>= 4.1.2), r-cran-lattice (>= 0.12-11.1)
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-matrix
 Vcs-Git: https://salsa.debian.org/edd/r-cran-matrix.git
 Homepage: https://cran.r-project.org/package=Matrix

## rmatrix 1.4-1

=== debian/changelog ===
rmatrix (1.4-1-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 26 Mar 2022 08:19:50 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), dh-r, r-base-dev (>= 4.1.2), r-cran-lattice (>= 0.12-11.1)
+Build-Depends: debhelper-compat (= 11), dh-r, r-base-dev (>= 4.1.3), r-cran-lattice (>= 0.12-11.1)
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-matrix
 Vcs-Git: https://salsa.debian.org/edd/r-cran-matrix.git

## rmatrix 1.5

=== src/AMD/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # compile just the C-callable library
-lib:
+library:
 	( cd Source ; $(MAKE) lib )
 
 # remove object files, but keep the compiled programs and library archives

## rmatrix 1.5-1

=== debian/changelog ===
rmatrix (1.5-1-1.2004.0) focal; urgency=medium

  * Compilation for Ubuntu 20.04.4 LTS

 -- Michael Rutter <marutter@gmail.com>  Sat, 17 Sep 2022 14:06:22 +0000

rmatrix (1.5-1-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 13 Sep 2022 22:30:53 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), dh-r, r-base-dev (>= 4.1.3), r-cran-lattice (>= 0.12-11.1)
-Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 11), dh-r, r-base-dev (>= 4.2.1), r-cran-lattice (>= 0.12-11.1)
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-matrix
 Vcs-Git: https://salsa.debian.org/edd/r-cran-matrix.git
 Homepage: https://cran.r-project.org/package=Matrix
